#
# Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
#ident	"@(#)ima.conf	1.1	06/01/12 SMI"
#
#
VSL_32_NAME=com.sun.ima
VSL_64_NAME=com.sun.ima64
LIB_32_PATH=/usr/lib/libsun_ima.so.1
LIB_64_PATH=/usr/lib/64/libsun_ima.so.1
OBSOLETE_PATH=/usr/lib/sparcv9/libsun_ima.so.1

[ "${BASERDIR}" = "/" ] && BASEDIR=""

CONF_FILE=${BASEDIR}/etc/ima.conf

if [ $1 = install ] ; then

  if [ ! -f ${CONF_FILE} ] ; then

	cat <<EOF > ${CONF_FILE}
#
# Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
#pragma ident   "@(#)ima.conf   1.1     06/01/10 SMI"
#
#
# This file contains names and references to HBA libraries
#
# Format:
#
# <library name>  <library pathname>
#
# The library name should be prepended with the domain of
# the manufacturer or driver author.
EOF

  fi

    # Copy the original file without the obsoleted path.
    grep -v "${OBSOLETE_PATH}" ${CONF_FILE}

    # Append entries if missing
    if   grep "${LIB_32_PATH}" ${CONF_FILE} > /dev/null ; then :
    else
        echo "${VSL_32_NAME}		${LIB_32_PATH}"  || exit 3
    fi

    # Append entries if missing
    if   grep "${LIB_64_PATH}" ${CONF_FILE} > /dev/null ; then :
    else
        echo "${VSL_64_NAME}		${LIB_64_PATH}"  || exit 3
    fi
else
  # package remove
  if [ ! -f ${BASEDIR}/usr/lib/libsun_ima.so.1 ] ; then
    echo "Removing conf entries for ${VSL_32_NAME} and ${VSL_64_NAME}" >&2
    sed -e '/^'${VSL_32_NAME}'/d' -e '/^'${VSL_64_NAME}'/d' ${CONF_FILE} || exit 2
  else
    # Use current file as new file, otherwise the file is removed
    cat ${CONF_FILE} || exit 2
  fi
fi
